Bug 1011272 (CVE-2016-9425)

Summary: VUL-0: CVE-2016-9425: w3m: heap write
Product: [Novell Products] SUSE Security Incidents Reporter: Alexander Bergmann <abergmann>
Component: IncidentsAssignee: Thomas Blume <thomas.blume>
Status: RESOLVED FIXED QA Contact: Security Team bot <security-team>
Severity: Major    
Priority: P3 - Medium CC: abergmann, atoptsoglou
Version: unspecified   
Target Milestone: ---   
Hardware: Other   
OS: Other   
URL: https://smash.suse.de/issue/176534
Whiteboard: CVSSv2:NVD:CVE-2016-9425:6.8:(AV:N/AC:M/Au:N/C:P/I:P/A:P) CVSSv3:NVD:CVE-2016-9425:8.8:(AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H) CVSSv3:RedHat:CVE-2016-9425:4.3:(AV:N/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:L) CVSSv2:RedHat:CVE-2016-9425:4.3:(AV:N/AC:M/Au:N/C:N/I:N/A:P)
Found By: --- Services Priority:
Business Priority: Blocker: ---
Marketing QA Status: --- IT Deployment: ---
Bug Depends on:    
Bug Blocks: 1011293    

Description Alexander Bergmann 2016-11-21 11:58:34 UTC
w3m: multiple vulnerabilities
http://seclists.org/oss-sec/2016/q4/452

segfault due to write to lineBuf[-1] in addMultirowsForm

Issue: https://github.com/tats/w3m/issues/21

Note that both issues/21 and issues/26 are fixed by 4e464819dd360ffd3d58fa2a89216fe413cfcc74; however, they are different vulnerabilities.
Comment 1 Swamp Workflow Management 2016-11-21 22:58:11 UTC
bugbot adjusting priority
Comment 2 Alexander Bergmann 2016-11-22 08:15:59 UTC
Upstream Fix:
https://github.com/tats/w3m/commit/4e464819dd360ffd3d58fa2a89216fe413cfcc74
Comment 3 Swamp Workflow Management 2016-12-07 19:11:33 UTC
SUSE-SU-2016:3046-1: An update that fixes 28 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1011269,1011270,1011271,1011272,1011283,1011284,1011285,1011286,1011287,1011288,1011289,1011290,1011291,1011292,1011293,1012020,1012021,1012022,1012023,1012024,1012025,1012026,1012027,1012028,1012029,1012030,1012031,1012032
CVE References: CVE-2010-2074,CVE-2016-9422,CVE-2016-9423,CVE-2016-9424,CVE-2016-9425,CVE-2016-9434,CVE-2016-9435,CVE-2016-9436,CVE-2016-9437,CVE-2016-9438,CVE-2016-9439,CVE-2016-9440,CVE-2016-9441,CVE-2016-9442,CVE-2016-9443,CVE-2016-9621,CVE-2016-9622,CVE-2016-9623,CVE-2016-9624,CVE-2016-9625,CVE-2016-9626,CVE-2016-9627,CVE-2016-9628,CVE-2016-9629,CVE-2016-9630,CVE-2016-9631,CVE-2016-9632,CVE-2016-9633
Sources used:
SUSE Linux Enterprise Server 11-SP4 (src):    w3m-0.5.3.git20161120-4.1
SUSE Linux Enterprise Debuginfo 11-SP4 (src):    w3m-0.5.3.git20161120-4.1
Comment 4 Thomas Blume 2017-05-11 07:46:31 UTC
closing